Skip to main content
PUT
/
api
/
board
/
{boardId}
/
cycle
/
{cycleId}
Updates an existing cycle, and automatically approves all item time entries if the cycle is being closed.
curl --request PUT \
  --url https://{tenant}.ekso.app/api/board/{boardId}/cycle/{cycleId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "description": "<string>",
  "boardId": "<string>",
  "order": 123,
  "parent": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "finishDate": "2023-11-07T05:31:56Z",
  "budgetHours": 123,
  "locked": true,
  "closed": true,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

boardId
string
required

The board ID the cycle belongs to.

cycleId
string
required

The cycle ID from the route.

Body

The updated cycle data.

entity
null | string
name
string
description
string
boardId
string
order
parent
string
startDate
null | string<date-time>
finishDate
null | string<date-time>
budgetHours
locked
boolean
closed
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Cycle updated successfully.